/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.inaf.oats.ia2.tap.utils;

import java.io.Serializable;

/**
 * Row class represent a row model of the "rows" DataGridView in TablePanel class.
 * Row class must implement Serializable.
 * 
 * @author pietro
 */
public class Row implements Serializable {
        
    public boolean select;
    public String primary_key;
    public String foreign_key;
    
    public String table_name;
    public String column_name;
    
    public String utype;
    public String ucd;
    public String unit;
    public String description;
    public String datatype;
    public int size;
    public int principal;
    public int indexed;
    public int std;

    /**
     * Row constructor
     * 
     * @param select
     * @param primary_key
     * @param foreign_key
     * @param table_name
     * @param column_name
     * @param utype
     * @param ucd
     * @param unit
     * @param description
     * @param datatype
     * @param size
     * @param principal
     * @param indexed
     * @param std 
     */
    public Row(
            boolean select,
            String primary_key,
            String foreign_key,
            String table_name,
            String column_name,
            String utype,
            String ucd,
            String unit,
            String description,
            String datatype,
            int size,
            int principal,
            int indexed,
            int std)
    {
        this.select = select;
        this.primary_key = primary_key;
        this.foreign_key = foreign_key;
        
        this.table_name = table_name;
        this.column_name = column_name;
        
        this.utype = utype;
        this.ucd = ucd;
        this.unit = unit;
        this.description = description;
        this.datatype = datatype;
        this.size = size;
        this.principal = principal;
        this.indexed = indexed;
        this.std = std;
    }

}
